package com.dsic.gj_erp.bean.jhgk;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author xn
 * @since 2023-11-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmSygdxq对象", description="")
public class DmQfxq implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "分段")
    @TableField("DC_FD")
    private String dcFd;

    @ApiModelProperty(value = "总段号")
    private String zdh;

    @ApiModelProperty(value = "大组极重")
    private Double dzjz;

    @ApiModelProperty(value = "总装部最新分段需求期")
    private String zxfdxq;

    @ApiModelProperty(value = "钢料需求")
    private String xzglxq;
    private String dzglxq;
    @ApiModelProperty(value = "钢料需求")
    private String xzglxqOld;
    private String dzglxqOld;

    @ApiModelProperty(value = "X大板")
    private String xdb;

    @ApiModelProperty(value = "X数控件")
    private String xskj;

    @ApiModelProperty(value = "X平铁")
    private String xpt;

    @ApiModelProperty(value = "X压弯")
    private String xyw;

    @ApiModelProperty(value = "X型材")
    private String xxc;

    @ApiModelProperty(value = "X二次装T型材")
    private String xtxc;


    @ApiModelProperty(value = "D曲板")
    private String dqb;

    @ApiModelProperty(value = "D型材T")
    private String dxc;

    @ApiModelProperty(value = "D散件")
    private String dsj;

    @ApiModelProperty(value = "D大板")
    private String ddb;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    private String dcCh;

    private String dcPl;

    private String drr;
    private String drrq;
    private String zt;
    private int drcs=1;

    @ApiModelProperty(value = "审核人员")
    private String shry;
    @ApiModelProperty(value = "审核日期")
    private String shrq;
    private String xqzt="0";


}
