package com.dsic.gj_erp.controller.jcsj;

import com.dsic.gj_erp.annotation.AuthFunction;
import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.exception.CustomException;
import com.dsic.gj_erp.service.jcsj.impl.BomUploadServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author xn
 * @since 2023-09-11
 */
@RestController
@RequestMapping("/bom")
public class BomUploadController {
    @Autowired
    BomUploadServiceImpl bomUploadService;


    @PostMapping("/uploadBom")
    @AuthFunction
    @ResponseBody
    public ResultBean uploadPl(@RequestParam("file") MultipartFile[] file , String czbh,String pl, String isupload, HttpServletRequest req) throws Exception, CustomException {
      return       bomUploadService.uploadZ( file ,  czbh,  pl,isupload,  req);


    }



}

